Bug 509857 - incorrect definition of VTK_LIBRARY_DIRS
incorrect definition of VTK_LIBRARY_DIRS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vtk (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 11:04 EDT by Christophe Trophime
Modified: 2009-08-10 17:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.4.2-33.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 17:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Trophime 2009-07-06 11:04:04 EDT
Description of problem:
incorrect definition of VTK_LIBRARY_DIRS in /usr/lib/vtk-5.2/VTKConfig.cmake

Version-Release number of selected component (if applicable):
5.2.1

How reproducible:
always
try to build octaviz for instance
you will see that it is looking for /usrlib/vtk-5.2 directory

Steps to Reproduce:
1.try to build octaviz for instance
2.missing /usrlib/vtk-5.2 directory
3.
  
Actual results:
SET(VTK_LIBRARY_DIRS "${VTK_INSTALL_PREFIX}lib/vtk-5.2")

Expected results:
SET(VTK_LIBRARY_DIRS "${VTK_INSTALL_PREFIX}/lib/vtk-5.2")

Additional info:
Comment 1 Christophe Trophime 2009-07-06 11:26:59 EDT
Same problem with ${VTK_INSTALL_PREFIX}include
Allmost all cmake files are affected in /usr/lib/vtk-5.2

replacing ${VTK_INSTALL_PREFIX} by ${VTK_INSTALL_PREFIX}/ solve the problem
Comment 2 Fedora Update System 2009-07-23 06:24:42 EDT
vtk-5.4.2-33.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vtk-5.4.2-33.fc11
Comment 3 Fedora Update System 2009-07-23 06:25:05 EDT
vtk-5.4.2-33.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vtk-5.4.2-33.fc10
Comment 4 Fedora Update System 2009-07-23 15:03:33 EDT
vtk-5.4.2-33.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7940
Comment 5 Fedora Update System 2009-07-23 15:10:06 EDT
vtk-5.4.2-33.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7958
Comment 6 Fedora Update System 2009-08-01 19:53:06 EDT
vtk-5.4.2-33.fc10, vtkdata-5.4.2-13.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk vtkdata'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7940
Comment 7 Fedora Update System 2009-08-01 20:02:54 EDT
vtk-5.4.2-33.fc11, vtkdata-5.4.2-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk vtkdata'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7958
Comment 8 Fedora Update System 2009-08-10 17:43:15 EDT
vtk-5.4.2-33.fc10, vtkdata-5.4.2-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-08-10 17:44:22 EDT
vtk-5.4.2-33.fc11, vtkdata-5.4.2-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.